import dynamix_sdk.base as _base


class CloudapiK8sUpdateWorkerNodesMetaDataResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiK8sUpdateWorkerNodesMetaDataProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def update_worker_nodes_meta_data(
        self,
        *,
        k8s_id: int,
        worker_group_id: int,
        ci_user_data: str,
    ) -> CloudapiK8sUpdateWorkerNodesMetaDataResultBool:
        ...
